diff --git a/src/core/symbology-ng/qgsmarkersymbollayerv2.cpp b/src/core/symbology-ng/qgsmarkersymbollayerv2.cpp
index a4eb184..b9836a5 100644
--- a/src/core/symbology-ng/qgsmarkersymbollayerv2.cpp
+++ b/src/core/symbology-ng/qgsmarkersymbollayerv2.cpp
@@ -23,13 +23,6 @@
 #define DEG2RAD(x)    ((x)*M_PI/180)
 
 
-static QPointF _rotatedOffset( const QPointF& offset, double angle )
-{
-  angle = DEG2RAD( angle );
-  double c = cos( angle ), s = sin( angle );
-  return QPointF( offset.x() * c - offset.y() * s, offset.x() * s + offset.y() * c );
-}
-
 //////
 
 QgsSimpleMarkerSymbolLayerV2::QgsSimpleMarkerSymbolLayerV2( QString name, QColor color, QColor borderColor, double size, double angle )
@@ -291,7 +284,7 @@ bool QgsSimpleMarkerSymbolLayerV2::prepareShape()
     mPolygon
     << QPointF( 0, -1 )
     << QPointF( 0.5,  -0.5 )
-    << QPointF( 0.25, -0.25 )
+    << QPointF( 0.25, -0.5 )
     << QPointF( 0.25,  1 )
     << QPointF( -0.25,  1 )
     << QPointF( -0.25, -0.5 )
@@ -360,8 +353,6 @@ void QgsSimpleMarkerSymbolLayerV2::renderPoint( const QPointF& point, QgsSymbolV
   }
 
   QPointF off( context.outputLineWidth( mOffset.x() ), context.outputLineWidth( mOffset.y() ) );
-  if ( mAngle )
-    off = _rotatedOffset( off, mAngle );
 
   if ( mUsingCache )
   {
@@ -551,8 +542,7 @@ void QgsSvgMarkerSymbolLayerV2::renderPoint( const QPointF& point, QgsSymbolV2Re
 
   p->save();
   QPointF outputOffset = QPointF( context.outputLineWidth( mOffset.x() ), context.outputLineWidth( mOffset.y() ) );
-  if ( mAngle )
-    outputOffset = _rotatedOffset( outputOffset, mAngle );
+
   p->translate( point + outputOffset );
 
   int size = ( int )( context.outputLineWidth( mSize ) );
@@ -792,8 +782,7 @@ void QgsFontMarkerSymbolLayerV2::renderPoint( const QPointF& point, QgsSymbolV2R
 
   p->save();
   QPointF outputOffset = QPointF( context.outputLineWidth( mOffset.x() ), context.outputLineWidth( mOffset.y() ) );
-  if ( mAngle )
-    outputOffset = _rotatedOffset( outputOffset, mAngle );
+
   p->translate( point + outputOffset );
 
   if ( context.renderHints() & QgsSymbolV2::DataDefinedSizeScale )
